<?php 

add_action('init', 'my_theme_create_custom_post_type');

function my_theme_create_custom_post_type() {

	register_post_type(
		'portfolio',
		array(
			'label' => 'Portfolio',
			'labels' => array(
				'name' => 'Portfolios',
				'singular_name' => 'Portfolio',
				'add_new' => __('Add New Portfolio Item', 'my-theme')
			),
			'description' => 'Um tipo de post para portfolio',
			'public' => true,
			'exclude_from_search' => false, // Não aparece nas páginas de archive se estiver true
			'publicly_queryable' => true,
			'show_ui' => true,
			'show_in_nav_menus' => true,
			'show_in_menu' => true,
			'show_in_admin_bar' => true,
			'menu_position' => 80,
			'menu_icon' => 'dashicons-video-alt',
			'capability_type' => 'post',
			'hierarchical' => false,
			'supports' => array(
				'title', 'editor','thumbnail', 'excerpt', 'revisions', 'page-attributes'
			),
			'taxonomies' => array('type'),
			'has_archive' => true,
			'rewrite' => array('slug' => 'portfolio', 'with_front' => false, 'feeds' => true ),
			'can_export' => true,
			'show_in_rest' => true
		)
	);

	//flush_rewrite_rules();

	register_taxonomy(
		'type',
		array( 'portfolio' ),
		array(
			'label' => 'Tipos',
			'labels' => array(
				'name' => 'Tipos',
				'singular_name' => 'Tipo'
			),
			'public' => true,
			'show_admin_column' => true,
			'description' => 'Categoriza os items do portfolio',
			'hierarchical' => true,
			'rewrite' => array( 'with_front' => false ),
			'show_ui' => true,
			'show_in_rest' => true
		)

	);

}